Page MenuHomePhabricator

Explore alternative names for Jade data
Closed, ResolvedPublic

Description

I just want to make a point about the specific term "Judgment" -- it has a big potential of setting the topic up as confrontational and the entire idea of software scoring to be (no pun) very judgmental activity, when in fact the idea is to help the community get better, including at social interactions.
I think it's better if instead of "Judgment:" the namespace would be something more clear and less potentially misunderstood, like "Scoring:" or "Review:" or something similar.

This is an important consideration, since the concept name will have structural effects on the types of conversations that are had, and "judgment" is a historically and culturally loaded word.

Discuss what color to paint this shed.

Color options:

  • Analysis
  • Annotation
  • Assessment
  • Evaluation / Eval
  • JADE
  • Judgement
  • Label
  • Metadata
  • Opinion
  • Review
  • Score
  • Tag

Once we've chosen a name, make sure that the "qqq" translation documentation gives clear guidance for which denotations we prefer and which to avoid.

Event Timeline

Halfak created this task.Jul 25 2018, 7:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 25 2018, 7:00 PM
Harej moved this task from Inbox to Product on the Jade board.Jul 25 2018, 7:02 PM
Harej added a subscriber: Harej.
Halfak updated the task description. (Show Details)Jul 25 2018, 7:02 PM

IMO the good thing about "Judgment" is that explicitly human and inherently subjective. I can't find a good synonym for the word.

"Score" is problematic because it is highly general and something that ORES already does. In the case of ORES, it is robotic.

"Review" is not commonly used as a noun, but it's not a bad term.

"Assessment" sounds like a rating, but it doesn't apply to some things. E.g. you can assess the quality of an edit, but can you assess the topic of an article? I guess so, but weird.

"Metadata" is very literal and direct, but not specific to humans.

"Label" is closely related to the common use of the term (see below). It's also close to the ML jargon "labeled data".

A label (as distinct from signage) is a piece of paper, plastic film, cloth, metal, or other material affixed to a container or product, on which is written or printed information or symbols about the product or item. Information printed directly on a container or article can also be considered labeling.

"Tag" and "Label" are synonyms, but tags are often used in other, simpler contexts.

Apologies if I missed something, I'm still catching up with a lot of notifications, but it seems this might depend on T196547. If the outcome is to not use pages, or to use pages or revision store in some special way, then there might not be a namespace.

awight added a subscriber: awight.Jul 25 2018, 7:18 PM

@Krinkle That's a good point—we should reword this task to make it clear that we're talking about the name for a concept, however it will manifest.

awight renamed this task from Bikeshed: Name of JADE namespace to Bikeshed: Explore alternative names for "judgment" in JADE.Jul 25 2018, 7:18 PM

Thanks, sounds good!

awight updated the task description. (Show Details)Jul 25 2018, 7:19 PM

for what it's worth, I thought of Review when I was pondering on this over the weekend. I see it's already been proposed, and RADE doesn't seem that bad :)

Ltrlg added a subscriber: Ltrlg.Aug 7 2018, 2:59 PM
kaldari added a subscriber: kaldari.EditedAug 20 2018, 10:27 PM

Please don't call it "Review"! There are already too many things on Wikipedia called review: the page reviewing process associated with https://en.wikipedia.org/wiki/Wikipedia:New_pages_patrol, the draft reviewing process associated with https://en.wikipedia.org/wiki/Wikipedia:Articles_for_creation, reviewing pending changes, and page patrolling (which is related to page reviewing and sometimes called the same thing). It is already extremely confusing to figure out what someone means when they say "review" on Wikipedia. "Tag" has the same problem. And I agree with Mooeypoo that "Judgement" has negative connotations.

My vote would be for "Assessment" as this is what the described workflow is already referred to as (at least for pages).

Alternately, "Metadata" might be most appropriate if we want to store other types of data besides assessment scores.

Evaluation (Eval) ?

Esanders updated the task description. (Show Details)Aug 21 2018, 2:49 PM
Harej added a comment.Oct 25 2018, 8:47 PM

In communications about JADE I often state that JADE is a system for diff- and revision-level annotations. Consistent with that description of JADE, I think it would make the most sense to proceed with either "labels," "annotations," or another term along those lines.

awight updated the task description. (Show Details)Oct 25 2018, 8:56 PM
awight updated the task description. (Show Details)
awight updated the task description. (Show Details)

One interesting point here is that we aren't all agreed on the *intended* meaning of the term we use here, so perhaps that's a separate conversation we should be having. However, there certain senses that we absolutely don't want to imply, such as the legal, punitive meaning of "judgment". One concrete step we can take is to review translations and correct any with the wrong meaning. We should also clean up the "qqq" documentation to give more context to future translators.

awight added a comment.EditedNov 1 2018, 11:12 PM

Here are my guesses about the accuracy of translations:

Correct
arwiki: https://en.wiktionary.org/wiki/حكم, wrong meaning.
dewiki: https://www.dict.cc/?s=Beurteilung correct meaning.
eswiki: https://en.wiktionary.org/wiki/valoración I think it's good
frwiki: jugement and verdict–both words seem to mean the same as English "judgment", an opinion or legal verdict.
hewiki: http://context.reverso.net/translation/hebrew-english/שיפוט, could be correct, or lacking "opinion" sense.
jawiki: 判断–https://en.wiktionary.org/wiki/判断, correct
pt, pt-br: https://en.wiktionary.org/wiki/avaliação correct
svwiki: Bedömnings, correct
zh-hans: https://en.wiktionary.org/wiki/判斷 looks right

Incorrect
cswiki: https://cs.wikipedia.org/wiki/Rozsudek, wrong meaning
elwiki: κρίση – wrong meaning. https://en.wiktionary.org/wiki/κρίση
mwiki: https://en.wiktionary.org/wiki/суд probably wrong, too legal.
trwiki: Yargı—wrong meaning
viwiki: https://en.wiktionary.org/wiki/xét_xử wrong meaning

Unsure
astwiki: xuiciu unsure about meaning, https://en.wiktionary.org/wiki/xuiciu
be-tarask: ацэнак ?
liwiki: https://li.wiktionary.org/wiki/oeardeil unknown
roa-tara: giudizie, unknown

Harej triaged this task as Medium priority.Nov 14 2018, 11:12 PM
jrbs added a subscriber: jrbs.EditedDec 11 2018, 6:34 PM

For what it's worth, I also think that "Judgement" is a pretty loaded word in English (and apparently in other languages / cultures as well) so would ideally use another term for this.

(It also is spelled differently in the US, which results in its own problems.)

"Review" is not commonly used as a noun, but it's not a bad term.

Review is probably what I'd suggest. (Edit: @kaldari's point in T200365#4516886 is valid so I'd probably agree that "Assessment" is a better option.)

"Assessment" sounds like a rating, but it doesn't apply to some things. E.g. you can assess the quality of an edit, but can you assess the topic of an article? I guess so, but weird.

Can you "judge" the topic of an article? That's arguably even weirder.

jrbs added a comment.Dec 11 2018, 6:49 PM

Also, I think calling this "bikeshedding" is a bit mean to the original complaint. It's important that we don't call it something that'll bite us in the ass one of these days.

IMO the good thing about "Judgment" is that explicitly human and inherently subjective. I can't find a good synonym for the word.

In my opinion, the term "Judgment" isn't just a term we should reconsider, it is a term that has a potential to scare away the people we are working hard on retaining and making their interactions better, most of all under-represented groups and minorities who already experience problems of abrupt interactions on our projects.

If I edit an article as a new user, and I see "Judgment" on my edit, it will impact my desire to participate again. That word will also color the followup discussion, for better or worse; if the judgment is even remotely not positive or contains improvement-requirements, etc, it will impact the follow up conversation with other editors, in many cases conversations that are already scary and abrupt may well get even more so, or feel more so to the person whose diff is under "judgment".

The price of this word, in my opinion, is high.

The price of replacing it with a word that is less judgmental (literally) even if it is potentially not 100% equivalent is much lower. It might not be the most accurate representation to say "Assessment" or "Metadata" or any other of the words in the alternatives supplied in this ticket, but they are, in my opinion, carrying a much lesser chance of accidentally pushing people away than "Judgment". And that's before we're getting into how translators will pick this up (with some confusion, as was pointed out in one of the replies)

I pose that this is a good enough reason to consider changing it, even to a term that isn't 100% accurate.

SPoore added a subscriber: SPoore.Dec 11 2018, 7:33 PM

Judgement is a problematic name for all the reasons stated by others already and needs to be replaced before that it completely undermines the good that could otherwise come from this work.

My concern is the negativity of the term will not only taint this project but reflect poorly on all of the rest of the wiki. This needs a larger discussion before it goes forward.

awight renamed this task from Bikeshed: Explore alternative names for "judgment" in JADE to Explore alternative names for Jade data.Dec 12 2018, 7:41 PM
awight raised the priority of this task from Medium to High.Dec 12 2018, 10:29 PM

There are several vetoes against "judgment", so we'll block deployment until this can be resolved.

Some thoughts about what the name should communicate:

  • We're stating opinions rather than facts.
  • We're creating these opinions collaboratively.
  • Any opinions generated are part of a dialogue and an ongoing process, not a final verdict. A "stub" article can be improved. A damaging edit can be followed up on to reverse the damage, potentially salvaging something constructive about the edit.
  • Our language should be friendly and relatable. People with no background in Jade should feel encouraged by getting notifications from the service.
jrbs added a comment.EditedDec 12 2018, 10:31 PM

There are several vetoes against "judgment", so we'll block deployment until this can be resolved.
Some thoughts about what the name should communicate:

  • We're stating opinions rather than facts.
  • We're creating these opinions collaboratively.
  • Any opinions generated are part of a dialogue and an ongoing process, not a final verdict. A "stub" article can be improved. A damaging edit can be followed up on to reverse the damage, potentially salvaging something constructive about the edit.
  • Our language should be friendly and relatable. People with no background in Jade should feel encouraged by getting notifications from the service.

I think "assessment" ticks most of these boxes. It basically means the same thing as "judgement" but without the negative social connotations.

Edit: Thanks for taking this concern seriously, I really appreciate it.

From my previous post:

"Assessment" sounds like a rating, but it doesn't apply to some things. E.g. you can assess the quality of an edit, but can you assess the topic of an article?

Further assessments are often objective -- or at least based on objective criteria. In an academic setting, students are assessed using a rubric. Properties are assessed for value.

One term I've been seriously considering recently is "proposition".

(n) a statement or assertion that expresses a judgment or opinion.

It seems to fit very well. I like that a "proposition" is proposed and might be endorsed while a "judgment" feels much more final. "Proposition"s are also often used in the space of formal debate where debaters will agree ahead of time on a well stated proposition to agree or disagree with.

SPoore added a comment.EditedDec 13 2018, 5:15 PM

Earlier I thought of the term Screening because it is a form of Assessment but better since it has a connotation that it is not exact or permanent. But there are other meaning that are really different and also I don't know if it would translate well. So, I rejected it.

Throwing it in the mix now because all terms seem to have alternative meaning that are a bad fit. So the lesser of bad fits might be our best choice.

Every time people cannot find a proper term in a language they invent their own. So, jad?

That's... just crazy enough to work. :)

@SPoore, almost every word in the English language has multiple different meanings. If we are excluding terms based on having different meanings, then we might want to go with @Natalia's suggestion and invent our own word.

@Natalia's suggestion inspired me to see this a different way: this system is trying to humanize a decision made by an algorithm. The algorithm has limited context, and so makes the best decision with what it knows. To humanize is to contextualize in the human experience. Maybe some words, maybe invented, around these two concepts would help with our current dilemma.

Perspective, Context, Vortex (ha), Connection?

CADE sounds decent

Every time people cannot find a proper term in a language they invent their own. So, jad?

This is great, thank you for adding breadth to the search space. How about, "Ode: Opinion and Dialogue Engine"?

@Natalia's suggestion inspired me to see this a different way: this system is trying to humanize a decision made by an algorithm.

This is a helpful framework. Maybe, the Ode system is for socializing opinions. Context is given by displaying and linking to the thing being judged, and by talk pages.

+1 Ode, in the way Adam thinks about it above. It's very poetic :)

If "Ode" is an acronym, we should probably capitalize it. I like keeping "Jade" but dropping the acronym. We've already done a lot of socializing the name as "Jade". I also like that "Jade" is subtly about mining (data mining!) and it is a nice four letter name.

We could still have "Jade" track "Opinions".

Maybe we should call them "proposals"

We could highlight the fact that Jade is designed for building RFC-styled straw poll discussions. In the language used to discuss this on English Wikipedia (WP:RFC), we get terms like "proposal" and "endorse". One of the benefits of aligning Jade with RFCs is that we get guidelines and best practices for free. E.g. "If you feel an RfC is improperly worded, ask the originator to improve the wording, or add an alternative unbiased statement immediately below the RfC question template." This was one of our concerns in setting up the user stories. "What if someone edits someone else's proposal?" If we align ourselves with RFC/straw poll/!Vote patterns, we have a clear answer to that question.

Also, I imagine that many wiki communities have RFC (proposal + endorsement + discussion) patterns that have their own local terminology that we can use to make translation/cross-wiki understanding more straightforward.

Harej added a comment.Apr 19 2019, 2:27 AM

Hello everyone!

We would like to recommend proceeding with the namespace name "Label" (localized into each language, of course). This is a very direct and literal description of the kind of content produced with Jade.

Unless there are concerns, I will be closing this task shortly.

Harej closed this task as Resolved.May 7 2019, 10:10 PM